
Automated Build Generator - Bug #2157
rsb-dependency in rsbag-python not detected
01/14/2015 11:54 AM - J. Wienke

Status: Resolved Start date: 01/14/2015
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Project Analysis Estimated time: 0.00 hour
Target version: 0.4
Description

My build flow schedules rsbag-python before rsb.

Associated revisions
Revision 224ac308 - 01/14/2015 03:40 PM - J. Moringen

Catch some more cases in src/analysis/setuptools.lisp

fixes #2157

Can't stop now!

    -  src/analysis/setuptools.lisp (header): updated copyright
  (value-scanner): new variable; scanner for list, dictionary, string
  and arbitrary values
  (global-variable-scanner): simplified
  (keyword-arg-scanner): likewise
  (extract-value): new function; recursive "parsing" of values
  (global-variables): use `extract-value'
  (extract-keyword-arguments): likewise
  (process-version): reject unparsable strings
  (process-dependency): ignore unparsable version

History
#1 - 01/14/2015 03:46 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:224ac30848628f185d6aa60e13b4cd074e1b804c.

#2 - 01/14/2015 03:47 PM - J. Moringen
- Target version changed from 0.3 to 0.4
- % Done changed from 100 to 0

Should be fixed in master:
(jenkins.analysis:analyze #P"/tmp/rsbag.git.python/" :setuptools)
(:VERSIONS
 ((:MAIN 0 12)) 
 :PROVIDES
 ((:SETUPTOOLS "rsbag-python" (0 12)))
 :REQUIRES
 ((:SETUPTOOLS "coverage")
  (:SETUPTOOLS "epydoc")
  (:SETUPTOOLS "unittest-xml-reporting")
  (:SETUPTOOLS "setuptools-epydoc")
  (:SETUPTOOLS "rsb-python")
  (:SETUPTOOLS "loggerbyclass" (0 1)))
 :KEYWORDS
 ("middleware" "study" "logging" "robotics") 
 :URL
 "https://code.cor-lab.org/projects/rsbag" 
 :AUTHORS
 ("Jan Moringen <jmoringe@techfak.uni-bielefeld.de>")
 :LICENSE "LGPLv3+")

#3 - 03/26/2015 04:57 PM - J. Moringen
- % Done changed from 0 to 100

04/23/2024 2/2


